> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/obsh-pregled-na-zayavkite-km-geopard-api/56.-kachvane-na-snimki.md).

# 56. Качване на снимки

Качването на снимка чрез S3 съдържа 2 стъпки:

1. **Поискайте предварително подписан линк за директно качване.**&#x20;

Като вход:&#x20;

* fileExtention - jpeg ИЛИ jpg ИЛИ png,&#x20;
* farmUuid - uuid на фермата,
* fieldUuid - uuid на полето,
* noteUuid - uuid на бележката за директния линк към качената снимка,
* commentUuid - uuid на коментара за директния линк към качената снимка (по избор).&#x20;

Като изход:

* uuid - очакваният uuid след качване и обработка,
* farmUuid - същият като входящия,
* fieldUuid - същият като входящия,
* noteUuid - същият като входящия,
* commentUuid - същият като входящия (ако е имало),
* s3Url - URL, използван за качване на снимката,
* s3Fields - атрибути, които да изпратите във формата за качване на снимка.

Детайлите как да използвате s3Url и s3Fields са описани във втората стъпка.&#x20;

Атрибутите са валидни само за 60 минути за качване на снимката.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Изпратете локална снимка към s3Url с предварително зададените полета от s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Уведомленията за обработката ще бъдат доставяни чрез механизма за абонамент, описан в GraphQL -> Samples -> [1. Абонамент: Получаване на събития](/geopard-tutorials/bg/api-dokumentaciya/obsh-pregled-na-zayavkite-km-geopard-api/1.-abonament-poluchavane-na-sbitiya.md).

{% hint style="info" %}
Използвайте ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumentaciya/obsh-pregled-na-zayavkite-km-geopard-api/56.-kachvane-na-snimki.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
